## Class Literal

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt
                  |
                  +--Expr
                        |
                        +--Literal

Direct Known Subclasses:
  BoolLiteral, CharLiteral, IntLiteral, Null, StringLiteral

public abstract class Literal
extends Expr

Field Summary

Fields inherited from class Expr
`usedid`

Fields inherited from class ExprStmt
`type`

Constructor Summary
`Literal()`

Methods inherited from class Expr
`get_Name_Menge, get_Name, get_Type_Menge, get_UsedId, sc_check, set_Type, set_UsedId`

Methods inherited from class ExprStmt
`get_Type`

Methods inherited from class Statement
`codegen, print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Literal

    public Literal()